#include "defines.h"
#include "menu.h"
#include "skey.h"

void message1(int *x,int *y,unchar *ms[],int all,MCOLORS *col,unchar *(*wget))
/* スクロールなし、即リターンメッセージ	*/
{
int n,sp=-1,wsp=0,llt=0,clm=1,msatr[1],rcode[MRCODE];
_MENU_DATA mdata;
	set_dms_data(&mdata);
	mdata.tale=""; /* テイルなし */
	mdata.cursor=0; /* cursor off */
	if (all>20) all=20;
	n=all;
	rcode[0]=SKcr; /* 即リターン */
	
	/* 環境変数"MESXY=ON"なら即リターンしない */
	if (CheckMESXY()) { /* メニュー位置設定モード */
		sp=1;
		mdata.cursor=1; /* cursor on */
	}
	wmenu(x,y,sp,&wsp,&llt,n,all,&clm,ms,msatr,&mdata,col,wget,rcode);
}
